- Home
- API Enriched
- Ddos
- infraprotect
- List networks.
List networks.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/networks';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect/networks \ --header 'Authorization: <Authorization>'Returns a list available reports to be downloaded. Reports summarise an event or a mitigation in a single PDF document.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This request is supported only in system namespace.
Responses
Section titled “Responses”A successful response.
Response containing all networks available to the customer.
object
List of networks the customer has.
A single customer network record.
object
ID of the network.
Name of the network.
object
IP Address prefix in string format. String must contain both prefix and prefix-length.
If true then the network is the primary customer’s network and should always be preferred. The rules governing:
- The network is flagged as such during onboarding via the signup object->infraprotect_information
- Customer network called %customer_name%_local - e.g. Defensenet_local
- The only customer’s network (if customer has only one network)
Examplegenerated
{ "networks": [ { "id": "example", "name": "example", "prefixes": { "prefix": [ "example" ] }, "primary": true } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example